## org.apache.lucene.queryParser.standard.config
Interface AllowLeadingWildcardAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  AllowLeadingWildcardAttributeImpl

Deprecated.

    @Deprecated
    public interface AllowLeadingWildcardAttribute

extends Attribute

This attribute is used by `AllowLeadingWildcardProcessor` processor and must be defined in the `QueryConfigHandler`. It basically tells the processor if it should allow leading wildcard.

Method Summary
`boolean` `isAllowLeadingWildcard()` Deprecated.
`void` `setAllowLeadingWildcard(boolean allowLeadingWildcard)` Deprecated.

Method Detail

### setAllowLeadingWildcard

    void setAllowLeadingWildcard(boolean allowLeadingWildcard)

  Deprecated.

### isAllowLeadingWildcard

    boolean isAllowLeadingWildcard()

  Deprecated.